package com.ruoyi.mall.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 目标学校对象 mall_member_target_school
 * 
 * @author ruoyi
 * @date 2023-10-26
 */
public class MallMemberTargetSchool extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 目标学校id */
    @Excel(name = "目标学校id")
    private Long targetId;

    /** 用户id */
    @Excel(name = "用户id")
    private Long id;

    /** 学校id */
    @Excel(name = "学校id")
    private Long schoolId;
    private String schoolName;
    /** 批次id */
    @Excel(name = "批次id")
    private Long batchId;

    /** 创建时间 */
    @Excel(name = "创建时间")
    private String createAt;

    /** 更新时间 */
    @Excel(name = "更新时间")
    private String updateAt;

    /** 删除标记(0-正常,1-删除) */
    @Excel(name = "删除标记(0-正常,1-删除)")
    private String delFlag;

    public void setTargetId(Long targetId) 
    {
        this.targetId = targetId;
    }

    public Long getTargetId() 
    {
        return targetId;
    }
    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setSchoolId(Long schoolId) 
    {
        this.schoolId = schoolId;
    }

    public Long getSchoolId() 
    {
        return schoolId;
    }
    public void setBatchId(Long batchId) 
    {
        this.batchId = batchId;
    }

    public Long getBatchId() 
    {
        return batchId;
    }
    public void setCreateAt(String createAt) 
    {
        this.createAt = createAt;
    }

    public String getCreateAt() 
    {
        return createAt;
    }
    public void setUpdateAt(String updateAt) 
    {
        this.updateAt = updateAt;
    }

    public String getUpdateAt() 
    {
        return updateAt;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    public String getSchoolName() {
        return schoolName;
    }

    public void setSchoolName(String schoolName) {
        this.schoolName = schoolName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("targetId", getTargetId())
            .append("id", getId())
            .append("schoolId", getSchoolId())
            .append("batchId", getBatchId())
            .append("createAt", getCreateAt())
            .append("updateAt", getUpdateAt())
            .append("delFlag", getDelFlag())
            .toString();
    }
}
